spring:
  rabbitmq:
    addresses: 197.68.24.40:5672
    virtual-host: cloud
    username: cctp
    password: northking
  redis:
    cluster:
      nodes: 158.1.81.42:16479,158.1.81.43:16480,158.1.83.161:16481,158.1.81.42:16482,158.1.81.43:16483,158.1.83.161:16484
    password: root
    database: 0
    lettuce:
      pool:
        max-active: 5
        max-idle: 5
atu:
  server:
    engineName: 测试环境引擎
    engineSys: linux
    remoteProtocol: RDP
    remotePort: 3389
    IsPcExecutor: false
    daemonFlag: false
    local-debug: false
    engineVersion: 1.1.0
    serverUrl: http://197.68.24.38:8000
    appiumHost: 172.16.77.25
    appiumPort: 4723
    appiumContextPath: /wd/hub
    deviceInfoPath: /api/cctp-device-mgr/pub/device/info/
    globalVarPath: /api/atu-script-case/pub/variable/query
    globalVarUpdatePath: /api/atu-script-case/pub/variable/update
    fileDownloadPath: /api/cctp-files/pub/download/
    fileUploadPath: /api/cctp-files/pub/upload
    engineRegister: /api/cctp-device-mgr/pub/engine/register
    deviceReleasePath: /api/cctp-device-mgr/pub/device/release/
    appDownloadUrl: /api/atu-script-case/pub/file/downloadApp/{appId}
    libListUrl: /api/cctp-platform/pub/library/getLibListByEngine
    tryAcqurieDeviceUrl: /api/cctp-device-mgr/pub/deviceList/apply/remote
    pcAcqurieDeviceUrl: /api/cctp-device-mgr/pub/pc/device/remote
    taskCancelResultUrl: /api/atu-execute-plan/pub/execPlan/updateTaskExecFile
    appInfoUrl: /api/atu-script-case/pub/apps/getAppDetail
    ruleDataByName: /api/atu-data-mgr/pub/dataRule/getRuleDataByName
    quoteDataUrl: /api/atu-data-mgr/pub/query/selectDataUrlAndTreeName
    releaseDeviceBatch: /api/cctp-device-mgr/pub/deviceList/release
    projectInfo: /api/cctp-projects/pub/project/query/info?projectId={projectId}
    testSysUrl: /api/cctp-projects/pub/CpProjectEnvSyss/querySysUrl
    busComInfoUrl: /api/atu-script-case/pub/busCom/findBusComName
    acquireDeviceWithTokenUrl: /api/cctp-device-mgr/pub/deviceList/apply/batchWithToken
  engine:
    executor-pool:
      pcSize: 1
      pcCoreSize: 1
      enablePc: true
      mobileSize: 10
      mobileCoreSize: 10
      enableMobile: true
      apiSize: 15
      apiCoreSize: 15
      enableApi: true
    scheduler:
      daemon:
        enabled: false
      heartbeat:
        enabled: true
      login:
        enabled: true
  mobileAutomation:
    type: jbf
nk:
  component:
    mobile:
      useNewOcr: true
      uploadScreenAddress: engine/uploadShotAllScreen
      getWindowsScale: engine/getWindowsScale  #获取屏幕缩放比
      shotAllScreenAddress: engine/shotAllScreen
      handleApp: engine/activeApp
      execShellAddress: engine/execShell
      findPicAddress: http://197.68.24.38:5000/WebAPI/findImageInImage    #图片查找
      ocrAddress: http://197.68.31.137:5000/WebAPI/FindTextCoordinateByOcr   #ocr地址
      #ocrGetCode: http://197.68.31.137:5000/WebAPI/VerificationCode   #ocr识别验证码地址
      ocrGetText: http://197.68.31.137:5000/WebAPI/GetTextByOcr   #ocr识别文字地址
      ocrGetTextDirectionText: http://197.68.24.38:5000/direction_v2 #ocr识别指定文字指定方向的内容
      mobileShotAddress: engine/getScreenShotToBase64   #截图返回base64
      getCurrentMessage: engine/getCurrentMessage  #获取当前手机最新短信验证
      ocrGetAllTextNum: http://197.68.24.38:5000/rpa_v2 #ocr识别所有字符的位置
      ocrGetKeyBoard: http://197.68.24.38:5000/keyboard_v2 #ocr安全键盘
      getSafeKeyBoardNum: http://197.68.24.38:5000/keyboard_v2
      ocrGetCode: http://197.68.24.38:5000/yzm_v2   #ocr识别验证码地址
      hzBankOcrAddress: http://197.68.24.38:9283/gateway/spring-ocrcloud-platform/OCRA0001 #杭州银行OCR请求nginx地址
      mtchingThreshold: 0.5 #图像识别阈值
      ocrGetTableColValue: http://197.68.24.38:5000/table_v2   #ocr获取表格列内容
      ocrGetMoneyValue: http://197.68.24.38:5000/rpa_amount_v2 #ocr获取金额
      ocrGetClickTextDirectionText: http://197.68.24.38:5000/find_v2 #ocr指定文字指定方向指定第几个指定内容文本
      searchFrequency: 2 #元素查找次数
      findTime: 2 #元素查找次数
      scriptWaitTime: 100 #脚本步骤执行后等待时间，毫秒
      planWaitTime: 400 #计划步骤执行后等待时间，毫秒
    database:
      execSqlAddress: /api/cctp-projects/pub/CpProjectEnvDss/execute #数据库组建执行SQL的请求地址
    pc:
      tryTime: 3   #重试次数
logging:
  level:
    net.northking: debug